Skip to navigation

List remote notaries in pool

View as Markdown

Gets a list of remote notaries in a pool.

Required authentication scopes: notary_write, organization_read.

Authentication

AuthorizationBearer
JWT Bearer token from DocuSign authorization server

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization's GUID.
poolIdstringRequiredformat: "uuid"
The ID of the pool.

Query parameters

startPositionintegerOptionalDefaults to 0
The position of the first pool user to return
countintegerOptionalDefaults to 100
The number of pool users to return
searchstringOptional
Filters the results based on the text that you specify. The search indexes the notary names and emails.
statusstringOptional

Filters returned session records by status. Valid values are:

  • Active (default)
  • Expired
  • Inactive
sortintegerOptional

The attribute to use to sort the results.

Valid values are:

  • NameAsc (default)
  • NameDesc
  • JurisdictionAsc
  • JurisdictionDesc
  • CommissionExpirationDateAsc
  • CommissionExpirationDateDesc
  • EmailAsc
  • EmailDesc

Response

Successful response.
resultSetSizeintegerOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of totalSetSize.

startPositionintegerOptional

The position within the total result set from which to start returning values. Default: 0.

endPositionintegerOptional
The last index position in the result set.
nextUristring or nullOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

priorUristring or nullOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

totalSetSizeintegerOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

poolUserslist of objects or nullOptional
An array of pool user summaries.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error